Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.beaneditor
Enum RelativePosition

    java.lang.Object
      java.lang.Enum<RelativePosition>
          org.apache.tapestry5.beaneditor.RelativePosition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RelativePosition>

    public enum RelativePosition

extends java.lang.Enum<RelativePosition>

Controls the position of newly added `PropertyModel`s inside a `BeanModel`.

Enum Constant Summary
`AFTER` The new `PropertyModel` goes after the existing model.
`BEFORE` The new `PropertyModel` goes before the existing model.

Method Summary
`static RelativePosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RelativePosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BEFORE

    public static final RelativePosition BEFORE

  The new `PropertyModel` goes before the existing model.

### AFTER

    public static final RelativePosition AFTER

  The new `PropertyModel` goes after the existing model.

Method Detail

### values

    public static final RelativePosition[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RelativePosition c : RelativePosition.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RelativePosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.